guest-books {
  slick {
    .slick-slide {
      width: 600px;
      position: relative;
      margin-bottom: 80px;
      padding-bottom: 30px;
      border-left: 1px solid #fff;
      &:before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        display: block;
        z-index: 1;
        @include linear-gradient(to right, rgba(134, 134, 134, 0.2), rgba(255,255,255,0.2));
      }
      * {
        position: relative;
        z-index: 2;
      }
      img {
        position: absolute;
        width: 160px;
        height: 230px;
        top: 30px;
        left: 30px;
        box-shadow: 0 5px 15px rgba(0, 0, 0, 0.25);
      }
      h2 {
        left: 220px;
        color: #fff;
        top: 10px;
        margin-bottom: 5px;
        max-width: calc(100% - 280px);
        max-height: 30px;
        text-overflow: ellipsis;
        overflow: hidden;
      }
      h3 {
        left: 220px;
        color: #fff;
        font-size: 18px;
        font-weight: 300;
        margin-top: 15px;
      }
      .ratings {
        left: 220px;
        color: #fff;
        font-size: 16px;
        margin-top: 10px;
      }
      span {
        margin-left: 10px;
      }
      button {
        left: 220px;
        margin-top: 30px;
        border: none;
        width: 50%;
        background: #fff;
        padding: 11px;
        border-radius: 50px;
        transition: .3s all;
        &:hover {
          transform: scale(1.05);
        }
      }
      strong {
        position: absolute;
        color: #fff;
        top: 30px;
        right: 30px;
        font-size: 24px;
      }
    }
  }
  .container {
    padding: 0;
    height: 100%;
    max-height: 100%;
    overflow: hidden;
    background: #FBFBFB;
    overflow-y: scroll;
    position: relative;
    h1 {
      color: #444444;
      text-transform: uppercase;
      font-size: 26px;
      margin-bottom: 10px;
      float: left;
      &:nth-of-type(2) {
        float: left;
        margin-top: 12px;
        margin-bottom: 0;
      }
    }
    small {
      float: right;
      margin-bottom: 11px;
      margin-top: 26px;
      margin-right: 10px;
    }
    .spinner {
      position: absolute;
      left: calc(50% - 16px);
      transition: 0.2s all;
      visibility: hidden;
      opacity: 0;
      &.visible {
        visibility: visible;
        opacity: 1;
      }
    }
    .splitter {
      display: block;
      width: 100%;
      height: 1px;
      background: #F2F2F2;
      margin: 20px 0;
      @extend .clearfix;
    }
    .empty {
      clear: both;
      display: block;
      @extend .clearfix;
      a {
        animation: colors 5s ease-in-out infinite;
      }
    }
    .add-button {
      border: none;
      outline: none;
      float: right;
      background: none;
      position: relative;
      margin: 10px;
      width: 24px;
      height: 24px;
      box-shadow: 0 0 0 3px $mainGreen;
      transition: color 0.3s;
      border-radius: 5px;
      transition: 0.3s all;
      i {
        z-index: 2;
        position: relative;
        color: $white;
      }
      &:after {
        top: -2px;
        left: -2px;
        padding: 2px;
        z-index: 0;
        position: absolute;
        display: block;
        width: 100%;
        height: 100%;
        border-radius: 5px;
        content: '';
        box-sizing: content-box;
        background: $mainGreen;
        transition: all 0.3s;
      }
      &:hover {
        &:after {
          transform: scale(0.85);
          opacity: 0;
          transform: scale(0);
          transition: all 0.3s;
        }
        i {
          color: $mainGreen;
        }
      }
      &.active {
        border-radius: 50%;
        transform: rotate(135deg);
        &:after {
          border-radius: 50%;
        }
      }
    }
    .books-row {
      clear: both;
      padding: 10px 60px;
      position: relative;
      @extend .clearfix;
      &.focus {
        .book:not(.active) {
          -webkit-filter: blur(2px);
          filter: blur(2px);
          z-index: 1;
        }
      }
      .blur {
        position: absolute;
        display: block;
        left: -60px;
        width: calc(100% + 120px);
        height: calc(100% + 120px);
        z-index: 20;
      }
      .col {
        width: 47%;
        float: left;
        padding: 20px;
        margin: 4% 2%;
        border: 1px solid #F2F2F2;
        background: #fff;
        &.full {
          width: 100%;
        }
        img {
          width: 48px;
          height: 48px;
          border-radius: 50px;
          display: inline-block;
        }
        button {
          float: right;
          border: #E2E2E2 1px solid;
          background: #fff;
          padding: 5px 14px;
          border-radius: 14px;
          margin-top: 10px;
          margin-left: 10px;
          transition: 0.3s all;
          outline: none;
          input {
            display: none;
          }
          &:hover {
            background: #E2E2E2;
          }
          i {
            color: #979797;
          }
        }
        h2 {
          margin: 0 0 5px;
          color: #888888;
          font-size: 13px;
          transition: 0.2s all;
          span {
            opacity: 0;
            float: right;
            visibility: hidden;
            transition: 0.2s all;
          }
          &.error {
            color: $mainRed;
            span {
              color: $mainRed;
              opacity: 1;
              visibility: visible;
            }
          }
        }
        input {
          background: none;
          outline: none;
          border: none;
          font-size: 16px;
          width: 88%;
        }
        .fa-eye {
          float: right;
          margin-top: 5px;
          font-size: 18px;
        }
        textarea {
          background: none;
          outline: none;
          border: none;
          margin-top: 8px;
          font-size: 16px;
          resize: none;
          height: 100%;
          width: 100%;
        }
        &.book {
          position: relative;
          transition: 0.3s all;
          z-index: 1;
          padding: 0;
          box-shadow: 0 1px 0 rgba(0, 0, 0, 0.1);
          .close-button {
            position: absolute;
            right: 0;
            top: 10px;
            padding: 12px;
            line-height: 11px;
            color: $black;
            margin: 0;
            border: none;
            font-size: 26px;
            transition: 0.3s all;
            opacity: 0;
            visibility: hidden;
            transform: rotate(180deg);
            background: $white;
            &.visible {
              opacity: 1;
              visibility: visible;
            }
            &:hover {
              transform: rotate(360deg);
            }
          }
          .body {
            z-index: 22;
            padding: 20px;
            position: relative;
            background: $white;
          }
          .comments {
            overflow: hidden;
            position: absolute;
            max-height: 300px;
            top: 100%;
            width: 94%;
            padding: 10px;
            left: 20px;
            border: 1px solid #F2F2F2;
            background: #FBFBFB;
            box-shadow: 0 1px 0 rgba(0, 0, 0, 0.12);
            margin-top: 2px;
            border-top: 0;
            z-index: 21;
            opacity: 0;
            visibility: hidden;
            transition: 0.2s opacity ease-in 0.3s, 0.2s transform ease-in 0.3s;
            transform: translateY(-150px);
            input {
              background: #fff;
              padding: 10px;
              width: 100%;
              border: 1px solid #F2F2F2;
            }
            .emojipicker {
              position: absolute;
              right: 15px;
              top: 22px;
            }
            .comment {
              display: block;
              padding: 20px 0;
              border-top: 1px solid #F2F2F2;
              img {
                top: 0;
                left: 0;
                border-radius: 50%;
                width: 50px;
                height: 50px;
                margin-right: 20px;
                position: relative;
                display: inline-block;
                float: left;
                box-shadow: none;
              }
              a {
                margin-left: 20px;
                display: block;
                span {
                  color: #cccccb;
                  &.split {
                    font-size: 10px;
                    margin: 0 10px;
                  }
                }
              }
              p {
                margin-left: 30px;
                padding-left: 40px;
                color: #818085;
                margin-top: 5px;
                line-height: 25px;
              }
            }
          }
          &:hover {
            transform: scale(1.05);
            z-index: 2;
          }
          &.active {
            width: 98%;
            z-index: 21;
            .comments {
              opacity: 1;
              overflow: inherit;
              max-height: inherit;
              visibility: visible;
              margin-bottom: 40px;
              transform: translateY(0);
            }
            &:hover {
              transform: scale(1);
              .large-button {
                display: none;
              }
            }
          }
          &:nth-child(even) {
            margin-right: 0 !important;
          }
          img {
            float: left;
            border-radius: 0;
            position: absolute;
            width: 95px;
            height: 150px;
            top: -30px;
            left: 10px;
            box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.4);
          }
          h2 {
            clear: both;
            outline: none;
            display: block;
            margin-left: 95px;
            i {
              margin-right: 5px;
              &.fa-star {
                color: #FD9626;
              }
              &.fa-star.o {
                color: #CBCBCB;
              }
            }
            span {
              opacity: 1;
              visibility: visible;
              float: none;
              margin-left: 5px;
            }
          }
          h3 {
            float: left;
            font-size: 15px;
            display: block;
            width: calc(100% - 95px);
            height: 36px;
            text-overflow: ellipsis;
            overflow: hidden;
            margin-top: 0;
            margin-left: 95px;
            margin-bottom: 10px;
            line-height: 18px;
          }
          i.fa-check-circle {
            top: 28px;
            right: 12px;
            position: absolute;
            color: $mainGreen;
          }
          strong {
            top: 16px;
            right: 16px;
            position: absolute;
          }
          .large-button {
            left: 0;
            margin: 0;
            top: 100%;
            z-index: 4;
            opacity: 0;
            font-size: 16px;
            width: 100%;
            border: none;
            border-radius: 0;
            position: absolute;
            visibility: hidden;
            transition: 0.3s all;
            background: $mainGreen;
            transform: translateY(-37px);
            &.half {
              width: 50%;
              &:nth-of-type(3) {
                left: 50%;
              }
            }
            &.red {
              background: $mainRed;
            }
            &.orange {
              background: $mainOrange;
            }
          }
          &:hover {
            .large-button {
              opacity: 1;
              visibility: visible;
              transform: translateY(0);
            }
          }
        }
      }
    }
    .search-row {
      clear: both;
      @extend .clearfix;
      .col {
        width: 50%;
        float: left;
        padding: 25px;
        margin: -1px;
        border: 1px solid #F2F2F2;
        background: #fff;
        &.full {
          width: 100%;
        }
        img {
          width: 48px;
          height: 48px;
          border-radius: 50px;
          display: inline-block;
        }
        button {
          float: right;
          border: #E2E2E2 1px solid;
          background: #fff;
          padding: 5px 14px;
          border-radius: 14px;
          margin-top: 10px;
          margin-left: 10px;
          transition: 0.3s all;
          outline: none;
          input {
            display: none;
          }
          &:hover {
            background: #E2E2E2;
          }
          i {
            color: #979797;
          }
        }
        h2 {
          margin: 0 0 10px;
          color: #888888;
          font-size: 13px;
          transition: 0.2s all;
          span {
            opacity: 0;
            float: right;
            visibility: hidden;
            transition: 0.2s all;
          }
          &.error {
            color: $mainRed;
            span {
              color: $mainRed;
              opacity: 1;
              visibility: visible;
            }
          }
        }
        input {
          background: none;
          outline: none;
          border: none;
          font-size: 16px;
          width: 88%;
        }
        .fa-eye {
          float: right;
          margin-top: 5px;
          font-size: 18px;
        }
        textarea {
          background: none;
          outline: none;
          border: none;
          margin-top: 8px;
          font-size: 16px;
          resize: none;
          height: 100%;
          width: 100%;
        }
        &.book {
          position: relative;
          transition: 0.3s all;
          z-index: 1;
          &:hover {
            transform: scale(1.05);
            z-index: 2;
          }
          img {
            float: left;
            border-radius: 0;
            position: absolute;
            width: 50px;
            height: 80px;
            box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.4);
          }
          h2 {
            clear: both;
            display: block;
            margin-left: 64px;
            i {
              margin-right: 5px;
              &.fa-star {
                color: #FD9626;
              }
              &.fa-star.o {
                color: #CBCBCB;
              }
            }
            span {
              opacity: 1;
              visibility: visible;
              float: none;
              margin-left: 10px;
            }
          }
          h3 {
            float: left;
            font-size: 15px;
            display: block;
            width: calc(100% - 54px);
            height: 36px;
            text-overflow: ellipsis;
            overflow: hidden;
            margin-top: 0;
            margin-left: 64px;
            margin-bottom: 5px;
            line-height: 18px;
          }
          i.fa-check-circle {
            top: 28px;
            right: 12px;
            position: absolute;
            color: $mainGreen;
          }
          .large-button {
            left: 0;
            margin: 0;
            top: 100%;
            z-index: 4;
            opacity: 0;
            width: 100%;
            border-radius: 0;
            position: absolute;
            visibility: hidden;
            transition: 0.3s all;
            background: $mainGreen;
            transform: translateY(-37px);
            &:disabled {
              background: $mainLite;
            }
          }
          &:hover {
            .large-button {
              opacity: 1;
              visibility: visible;
              transform: translateY(0);
            }
          }
        }
      }
    }
  }
}
.modal-body {
  input {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
  }
}